gtk.SeparatorToolItem
Prev | The gtk Class Reference | Next

## gtk.SeparatorToolItem

gtk.SeparatorToolItem — a toolbar item that separates groups of other toolbar items (new in PyGTK 2.4)

## Synopsis

    class gtk.SeparatorToolItem(gtk.ToolItem):
        gtk.SeparatorToolItem()
        def get_draw()
        def set_draw(draw)

## Ancestry

    +-- gobject.GObject
      +-- gtk.Object
        +-- gtk.Widget
          +-- gtk.Container
            +-- gtk.Bin
              +-- gtk.ToolItem
                +-- gtk.SeparatorToolItem

## Implemented Interfaces

`gtk.SeparatorToolItem` implements `gtk.Buildable`

## gtk.SeparatorToolItem Properties

gtk.Object Properties

gtk.Widget Properties

gtk.Container Properties

gtk.ToolItem Properties

"draw" | Read-Write | If `True`, the separator is drawn. Available in GTK+ 2.4.

## gtk.SeparatorToolItem Style Properties

gtk.Widget Style Properties

## gtk.SeparatorToolItem Signal Prototypes

gobject.GObject Signal Prototypes

gtk.Object Signal Prototypes

gtk.Widget Signal Prototypes

gtk.Container Signal Prototypes

gtk.ToolItem Signal Prototypes

## Description

### Note

This widget is available in PyGTK 2.4 and above.

A `gtk.SeparatorToolItem` is a `gtk.ToolItem` that separates groups of other `gtk.ToolItem` objects. Depending on the theme, a `gtk.SeparatorToolItem` will often look like a vertical line on horizontally docked toolbars.

If the `gtk.SeparatorToolItem` is set to expand (using the `gtk.ToolItem.set_expand`() method) and the "draw" property is `False`, a `gtk.SeparatorToolItem` will act as a "spring" that forces other items to the ends of the toolbar.

## Constructor

        gtk.SeparatorToolItem()

Returns : | the new `gtk.SeparatorToolItem` Since: 2.4

### Note

This constructor is available in PyGTK 2.4 and above.

Create a new `gtk.SeparatorToolItem`

## Methods

### gtk.SeparatorToolItem.get_draw

        def get_draw()

Returns : | `True` if `separator_tool_item` is drawn as a line, or just blank.

### Note

This method is available in PyGTK 2.4 and above.

The `get_draw`() method returns `True` if the separator tool item is drawn as a line or `False`, if it's just blank. See the `set_draw()` method.

### gtk.SeparatorToolItem.set_draw

        def set_draw(draw)

`draw` : | if `True` the `gtk.SeparatorToolItem` is drawn as a vertical line

### Note

This method is available in PyGTK 2.4 and above.

The `set_draw`() method sets the "draw" property to the value of `draw`. If `draw` is `True` the `gtk.SeparatorToolItem` is drawn as a vertical line; if `False`, just blank. Setting the "draw" property to `False` along with passing True to the `gtk.ToolItem.set_expand`() is useful to create an item that forces following items to the end of the toolbar.

Prev | Up | Next
gtk.SeparatorMenuItem | Home | gtk.Settings